[SRU] Bugfix release 1.14.5

Bug #1832123 reported by Amr Ibrahim on 2019-06-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gst-libav1.0 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Iain Lane
gst-plugins-bad1.0 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Iain Lane
gst-plugins-base1.0 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Iain Lane
gst-plugins-good1.0 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Iain Lane
gst-plugins-ugly1.0 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Iain Lane
gst-python1.0 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Iain Lane
gst-rtsp-server1.0 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Iain Lane
gstreamer-editing-services1.0 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Iain Lane
gstreamer-vaapi (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Iain Lane
gstreamer1.0 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Iain Lane

Bug Description

[ Description ]

We should keep up with GStreamer's bugfix releases in the 1.14 series that 18.04 shipped with.

[ QA and testing ]

Play a range of videos in Totem. Play a range of audio tracks in Rhythmbox. Try to stream audio and/or video. Try to install a missing codec.

In all cases, make sure that everything which worked before still works.

[ Regression potential ]

If one of the fixes is bad then it might break video or audio playback, or could crash any application that tries to use gstreamer.
-------------------------------------------

Highlighted bugfixes in 1.14.5

GStreamer core

- aggregator: take the pad lock around queue gap event removal
- aggregator: don’t leak gap buffer when out of segment
- buffer: fix possible memory corruption in gst_buffer_foreach_meta() when removing metas
- bus: Make removing of signal/bus watches thread-safe
- bus: Don’t allow removing signal watches with gst_bus_remove_watch()
- controlbinding: Check if the weak pointer was cleared before explicitly removing it
- ptp clock: Wait for ANNOUNCE before selecting a master; increase tolerance for late follow-up and delay-resp
- segment: Allow stop == -1 in gst_segment_to_running_time() and negative rate
- g-i: annotations fixes

gst-plugins-base

- audioconvert: fix endianness conversion for unpacked formats (e.g. S24_32BE)
- audioringbuffer: Fix wrong memcpy address when reordering channels
- decodebin2: Make sure to remove pad probes when freeing GstDecodeGroup
- glviewconvert: fix output when a transformation matrix is used
- glupload: prevent segfault when updating caps
- gl/egl: Determine correct format on dmabuf import
- glupload: dmabuf: be explicit about gl formats used
- id3tag: validate the year from v1 tags before passing to GstDateTime
- rtpbasepayload: fix sequence numbers when using buffer lists
- rtspconnection: fix security issue, potential heap overflow (CVE-2019-9928)
- rtspconnection: fix GError set over the top of a previous GError
- rtspconnection: do not duplicate authentication headers
- subparse: don’t assert when failing to parse subrip timestamp
- video: various convert sample frame fixes
- video-converter: fix conversion from I420_10LE/BE, I420_12LE/BE, A420_10LE/BE to BGRA/RGBA which created corrupted output
- video-format: Fix GBRA_10/12 alpha channel pixel strides

gst-plugins-good

- flv: Use 8kHz sample rate for alaw/mulaw audio
- flvdemux: Do not error out if the first added and chained pad is not linked
- flvmux: try harder to make sure timestamps are always increasing
- gdkpixbufdec: output a TIME segment which is what’s expected for raw video
- matroskademux: fix handling of MS ACM audio
- matroska: fix handling of FlagInterlaced
- pulsesink: Deal with not being able to convert a format to caps
- rtph265depay, rtph264depay; aggregation packet marker handling fixes
- rtpmp4gdepay: detect broken senders who send AAC with ADTS frames
- rtprawdepay: keep buffer pool around when flushing/seeking
- rtpssrcdemux: Forward serialized events to all pads
- qmlglsink: Handle OPENGL header guard changes
- qtdemux: fix track language code parsing; ignore corrupted CTTS box
- qtmux: Correctly set tkhd width/height to the display size
- splitmuxsink: various timecode meta handling fixes
- splitmuxsink: make work with audio-only encoders as muxers, e.g. wavenc
- v4l2sink: fix pool-less allocation query handling
- v4l2dec/enc: fix use after free when handling events
- vpx: Fix build against libvpx 1.8
- webmmux: allow resolutions above 4096

gst-plugins-ugly

- sid: Fix cross-compilation by using AC_TRY_LINK instead of AC_TRY_RUN
- x264: Only enable dynamic loading code for x264 before v253

gst-plugins-bad

- assrender: fix disappearing subtitles when seeking back in time
- decklinkvideosink: fix segfault when audiosink is closed before videosink
- decklinkvideosrc: respect pixel format property even if mode is set to auto
- d3dvideosink: Fix calculating buffer size of packed format; don’t leak thread object
- dtls: Don’t abort on non-fatal issues, make work with newer OpenSSL versions
- msdk: more robust error handling; fix intel sdk libdir path
- nvenc: Ensure drain all frames on finish; fix element reuse and clean up properly
- openh264dec: Fix handling of errors when doing EOS
- shmsrc: fixes a crash when is-live is true due a race condition
- shmsink: fix possible (racy) deadlock on shutdown
- siren: Fix invalid floating point operation
- tsdemux: Skew correction improvements: use upstream DTS if set
- wasapi: number of segments was always 2 (the absolute minimum) by accident
- wasapi: Fix infinite loop when the device disappears

gst-libav

- libav: Update internal snapshot to ffmpeg n3.4.6
- avdemux: fix negative pts if start_time is bigger than the ts

gst-rtsp-server

- rtsp-client: Fix crash in close handler and remove timeout GSource on cleanup
- rtsp-stream: Use cached address when allocating sockets
- rtsp-media: Handle set state when preparing
- rtsp-media: Fix race condition in finish_unprepare
- rtsp-stream: Use seqnum-offset for rtpinfo
- rtsp-stream: add source elements to the pipeline before activation for stream-status create message

gst-editing-services

- Fix compilation with latest GLib
- layer: Resort clips before syncing priorities
- timeline: Better handle loading inconsistent timelines

gstreamer-vaapi

- thread-safety and memory leak fixes
- improve caps negotiation if downstream takes ANY caps
- fix build with -DG_DISABLE_ASSERT

gst-omx

- fix caps leak

cerbero

- Add support for MacOSX 10.14, iOS 12.1, Fedora 29/30, Linux Mint Tara (19)
- Miscellaneous tarball download / error handling improvements
- disable parallel builds by default on Windows

CVE References

Sebastien Bacher (seb128) wrote :

There is currently 1.14.4 that in bionic-proposed that needs to be verified first

Amr Ibrahim (amribrahim1987) wrote :

Yep, 1.14.4 has been released now.

Iain Lane (laney) wrote :

Amr Ibrahim, are you working on this

Iain Lane (laney) wrote :

?

Amr Ibrahim (amribrahim1987) wrote :

I'm not working on this. I filled it as a place-holder for anyone who is willing to work on the update.

Iain Lane (laney) on 2019-07-04
no longer affects: gst-omx (Ubuntu)
Iain Lane (laney) on 2019-07-05
Changed in gst-libav1.0 (Ubuntu):
status: New → Fix Released
Iain Lane (laney) on 2019-07-05
Changed in gst-plugins-bad1.0 (Ubuntu):
status: New → Fix Released
Changed in gst-plugins-bad1.0 (Ubuntu Bionic):
assignee: nobody → Iain Lane (laney)
status: New → In Progress
Changed in gst-plugins-base1.0 (Ubuntu):
status: New → Fix Released
Changed in gst-plugins-base1.0 (Ubuntu Bionic):
assignee: nobody → Iain Lane (laney)
status: New → In Progress
Changed in gst-plugins-good1.0 (Ubuntu):
status: New → Fix Released
Changed in gst-plugins-good1.0 (Ubuntu Bionic):
assignee: nobody → Iain Lane (laney)
status: New → In Progress
Changed in gst-plugins-ugly1.0 (Ubuntu):
status: New → Fix Released
Changed in gst-plugins-ugly1.0 (Ubuntu Bionic):
assignee: nobody → Iain Lane (laney)
status: New → In Progress
Changed in gst-python1.0 (Ubuntu):
status: New → Fix Released
Changed in gst-python1.0 (Ubuntu Bionic):
assignee: nobody → Iain Lane (laney)
status: New → In Progress
Changed in gst-rtsp-server1.0 (Ubuntu):
status: New → Fix Released
Changed in gst-rtsp-server1.0 (Ubuntu Bionic):
assignee: nobody → Iain Lane (laney)
status: New → In Progress
Changed in gstreamer-editing-services1.0 (Ubuntu):
status: New → Fix Released
Changed in gstreamer-editing-services1.0 (Ubuntu Bionic):
assignee: nobody → Iain Lane (laney)
status: New → In Progress
Changed in gstreamer-vaapi (Ubuntu):
status: New → Fix Released
Changed in gstreamer-vaapi (Ubuntu Bionic):
assignee: nobody → Iain Lane (laney)
status: New → In Progress
Changed in gstreamer1.0 (Ubuntu):
status: New → Fix Released
Changed in gstreamer1.0 (Ubuntu Bionic):
assignee: nobody → Iain Lane (laney)
status: New → In Progress
Changed in gst-libav1.0 (Ubuntu Bionic):
assignee: nobody → Iain Lane (laney)
status: New → In Progress
Iain Lane (laney) wrote :

In the queue.

Hello Amr, or anyone else affected,

Accepted gst-libav1.0 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-libav1.0/1.14.5-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gst-libav1.0 (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Changed in gst-plugins-bad1.0 (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Amr, or anyone else affected,

Accepted gst-plugins-bad1.0 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-plugins-bad1.0/1.14.5-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gst-plugins-base1.0 (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Amr, or anyone else affected,

Accepted gst-plugins-base1.0 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-plugins-base1.0/1.14.5-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gst-plugins-good1.0 (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Amr, or anyone else affected,

Accepted gst-plugins-good1.0 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-plugins-good1.0/1.14.5-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gst-plugins-ugly1.0 (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Amr, or anyone else affected,

Accepted gst-plugins-ugly1.0 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-plugins-ugly1.0/1.14.5-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gst-python1.0 (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Amr, or anyone else affected,

Accepted gst-python1.0 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-python1.0/1.14.5-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gst-rtsp-server1.0 (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Amr, or anyone else affected,

Accepted gst-rtsp-server1.0 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-rtsp-server1.0/1.14.5-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gstreamer-editing-services1.0 (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Amr, or anyone else affected,

Accepted gstreamer-editing-services1.0 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gstreamer-editing-services1.0/1.14.5-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gstreamer-vaapi (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Amr, or anyone else affected,

Accepted gstreamer-vaapi into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gstreamer-vaapi/1.14.5-0ubuntu1~ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gstreamer1.0 (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Amr, or anyone else affected,

Accepted gstreamer1.0 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gstreamer1.0/1.14.5-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

All autopkgtests for the newly accepted gst-plugins-good1.0 (1.14.5-0ubuntu1~18.04.1) for bionic have finished running.
There have been regressions in tests triggered by the package. Please visit the sru report page and investigate the failures.

https://people.canonical.com/~ubuntu-archive/pending-sru.html#bionic

All autopkgtests for the newly accepted gstreamer1.0 (1.14.5-0ubuntu1~18.04.1) for bionic have finished running.
There have been regressions in tests triggered by the package. Please visit the sru report page and investigate the failures.

https://people.canonical.com/~ubuntu-archive/pending-sru.html#bionic

All autopkgtests for the newly accepted gst-plugins-base1.0 (1.14.5-0ubuntu1~18.04.1) for bionic have finished running.
There have been regressions in tests triggered by the package. Please visit the sru report page and investigate the failures.

https://people.canonical.com/~ubuntu-archive/pending-sru.html#bionic

Iain Lane (laney) wrote :

Comments #17, #18, #19 are false positives - there aren't any regressions.

Amr Ibrahim, if you wanted to test this that'd be appreciated.

Amr Ibrahim (amribrahim1987) wrote :

I'm testing now, and will report later.

Iain Lane (laney) wrote :

I've tested. It seems fine for me.

Iain Lane (laney) wrote :

1.14.5-0ubuntu1~18.04.1 (I think they all have this version) FAOD. Testing was along the lines of that listed in the bug description

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Amr Ibrahim (amribrahim1987) wrote :

I've been testing too, playing music in Rhythmbox and videos in Totem, transcoding with Sound Converter and Transmageddon. All seems fine.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gstreamer1.0 - 1.14.5-0ubuntu1~18.04.1

---------------
gstreamer1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1832123)

 -- Iain Lane <email address hidden> Wed, 03 Jul 2019 15:34:47 +0100

Changed in gstreamer1.0 (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gstreamer1.0 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-rtsp-server1.0 - 1.14.5-0ubuntu1~18.04.1

---------------
gst-rtsp-server1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1832123)
  * Update references to 1.14.5*

 -- Iain Lane <email address hidden> Thu, 04 Jul 2019 13:32:16 +0100

Changed in gst-rtsp-server1.0 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-python1.0 - 1.14.5-0ubuntu1~18.04.1

---------------
gst-python1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1832123)
  * Update references to 1.14.5

 -- Iain Lane <email address hidden> Thu, 04 Jul 2019 13:30:17 +0100

Changed in gst-python1.0 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gstreamer-vaapi - 1.14.5-0ubuntu1~ubuntu18.04.1

---------------
gstreamer-vaapi (1.14.5-0ubuntu1~ubuntu18.04.1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1832123)
  * Update references to 1.14.5

 -- Iain Lane <email address hidden> Thu, 04 Jul 2019 13:35:50 +0100

Changed in gstreamer-vaapi (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-bad1.0 - 1.14.5-0ubuntu1~18.04.1

---------------
gst-plugins-bad1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1832123)
  * Update references to 1.14.5

 -- Iain Lane <email address hidden> Thu, 04 Jul 2019 10:16:29 +0100

Changed in gst-plugins-bad1.0 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gstreamer-editing-services1.0 - 1.14.5-0ubuntu1~18.04.1

---------------
gstreamer-editing-services1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1832123)
  * Update references to 1.14.5

 -- Iain Lane <email address hidden> Thu, 04 Jul 2019 13:34:01 +0100

Changed in gstreamer-editing-services1.0 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-libav1.0 - 1.14.5-0ubuntu1~18.04.1

---------------
gst-libav1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1832123)
  * Update references to 1.14.5

 -- Iain Lane <email address hidden> Thu, 04 Jul 2019 12:04:24 +0100

Changed in gst-libav1.0 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-base1.0 - 1.14.5-0ubuntu1~18.04.1

---------------
gst-plugins-base1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1832123)
    - debian/patches/CVE-2019-9928.patch: drop - it's in this release

 -- Iain Lane <email address hidden> Wed, 03 Jul 2019 17:19:20 +0100

Changed in gst-plugins-base1.0 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-ugly1.0 - 1.14.5-0ubuntu1~18.04.1

---------------
gst-plugins-ugly1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1832123)
  * Update references to 1.14.5

 -- Iain Lane <email address hidden> Thu, 04 Jul 2019 11:42:40 +0100

Changed in gst-plugins-ugly1.0 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-good1.0 - 1.14.5-0ubuntu1~18.04.1

---------------
gst-plugins-good1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1832123)
  * Updated references from 1.14.4 to 1.14.5

 -- Iain Lane <email address hidden> Wed, 03 Jul 2019 17:54:41 +0100

Changed in gst-plugins-good1.0 (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers